prefixes_detachable = {'πολυ': 'πολυ', 'καλα': 'καλα', 'κουτσο': 'κουτσο', 'ξανα': 'ξανα',
                       'κρουστο': 'κρουστο', 'λαθρ': 'λαθρ', 'αιματο': 'αιματο', 'βαρυ': 'βαρυ',
                       'αγανο': 'αγανο', 'πρωτο': 'πρωτο', 'xolo': 'χολο', 'συχνο': 'συχνο',
                       'προικο': 'προικο', 'λογο': 'λογο', 'λαθρα': 'λαθρα', "αλληλο": "αλληλο",
                       'περνο': 'περνο', 'κακο': 'κακο', 'καταπρο': 'καταπρο', 'επανα': 'επαν',
                       'ξερο': 'ξερο', 'αγγελο': 'αγγελο', 'καλο': 'καλο', 'ηρωο': 'ηρωο', 'ψευτο': 'ψευτο',
                       'μαυρο': 'μαυρο', 'αγγλο': 'αγγλο', 'ψιλο': 'ψιλο', 'φωτοσυν': 'φωτοσυν',
                       'ματα': 'ματα', 'κρυφ': 'κρυφ', 'αυτο': 'αυτο', 'βαριο': 'βαριο', 'παπαδο': 'παπαδο',
                       'ματ': 'ματ', 'κωδωνο': 'κωδωνο', 'διαολο': 'διαολο', 'αιμο': 'αιμο', 'συνε': 'συνε',
                       'υδρο': 'υδρο', 'παραεισ': 'παραεισ', 'αραβο': 'αραβο', 'αιτιο': 'αίτιο',
                       'ετερο': 'ετερο', 'νανο': 'νανο', 'μικρο': 'μικρο', 'σκατο': 'σκατο', 'παλιο': 'παλιο'}

prefixes_detachable_weak = {'επαναπροσ': 'επαναπροσ', 'διασυμπερι': 'διασυμπερι', 'αναπροσ': 'αναπροσ',
                            'προσ': 'προσ', 'γλυκο': 'γλυκο', 'ανεμο': 'ανεμο',
                            'υπερ': "υπερ", 'εξ': 'εξ', 'εκ': 'εξ', 'ξε': 'ξ', 'επανα': 'επαν', 'εναπο': 'εναπ',
                            'ψιλ': 'ψιλ', 'ανα': 'αν', }

# for automatic augmentation of regular stems
prefixes_before_augment = {'ανα': 'αν', 'διακατ': 'διακατ', 'αν': 'αν', 'δια': 'δι', 'δι': 'δι', 'εκ': 'εξ',
                           'παρεισ': 'παρεισ',
                           'συλ': 'συν', 'εμπερι': 'εμπερι', 'επανεξ': 'επανεξ', 'επανεκ': 'επανεξ',
                           'παραεισ': 'παραεισ',
                           'απο': 'απ', 'κακο': 'κακο', 'καλο': 'καλο', 'αντικατα': 'αντικατ', 'συναπο': 'συναπ',
                           'επανεισ': 'επανεισ',
                           'απ': 'απ', 'ισαπ': 'ισαπ', 'προ': 'προ', 'κατα': 'κατ', 'κατ': 'κατ', 'πρωτο': 'πρωτο',
                           'αναπαρα': 'αναπαρ', 'περισυν': 'περισυν', 'διεξ': 'διεξ', 'υπεξ': 'υπεξ', 'μετεγ': 'μετεν',
                           'παρ': 'παρ',
                           'προσ': 'προσ',
                           'μετα': 'μετ',
                           'μετ': 'μετ',
                           'υποκατα': 'υποκατ',
                           'αποκατα': 'αποκατ',
                           'επανεγκατα': 'επανεγκατ',
                           'μετεγκατα': 'μετεγκατ', 'απεγκατα': 'απεγκατ',
                           'ανασυν': 'ανασυν',
                           'προεκ': 'προεξ', 'ενδια': 'ενδι', 'ενδι': 'ενδι',
                           'περι': 'περι', 'υπο': 'υπ',
                           'παρεκ': 'παρεξ',
                           'υπ': 'υπ', 'αμφι': 'αμφ', 'επι': 'επ',
                           'επ': 'επ', 'εισ': 'εισ', 'συμ': 'συν',
                           'καταπρο': 'καταπρο',
                           'συγ': 'συν', 'συ': 'συν', 'συν': 'συν',
                           'ελ': 'εξ', 'πολυ': 'πολυ', 'αντιπαρα': 'αντιπαρ',
                           'ματ': 'ματ', 'απεγ': 'απεν',
                           'επεμ': 'επεν', 'υπερ': 'υπερ', 'προεξ': 'προεξ',
                           'αυτοκατα': 'αυτοκατ', 'συγκατα': 'συγκατ',
                           'υπεκ': 'υπεξ',
                           'επεν': 'επεν', 'επεγ': 'επεν',
                           'παρεμ': 'παρεν', 'παρεν': 'παρεν', 'παρεγ': 'παρεν',
                           'ξεδια': 'ξεδια',
                           'εν': 'εν', 'εμ': 'εν', 'εγ': 'εν',
                           'εγκατα': 'εγκατ', 'υφ': 'υφ', 'επισυμ': 'επισυν',
                           "προεν": 'προεν', 'ανακατα': 'ανακατ',
                           'καλα': 'καλα', 'κουτσο': 'κουτσο',
                           'ξανα': 'ξανα', 'εξ': 'εξ', 'συμμετ': 'συμμετ',
                           'διασυμ': 'διασυν', 'συνυπo': 'συνυπ',
                           'επανα': 'επαν', 'επαν': 'επαν',
                           'αντι': 'αντ', 'αντ': 'αντ', 'περιδια': 'περιδι',
                           'ξαπο': 'ξαπ', 'προκατα': 'προκατ',
                           'αποδια': 'αποδι', 'ανταπο': 'ανταπ',
                           'συνεφ': 'συνεφ', 'παρα': 'παρ', 'επαναπο': 'επαναπ',
                           'διεμ': 'διεν', 'αντιδια': 'αντιδι', 'αναδια': 'αναδι'}